﻿.stream-items {
    margin-top: 20px;
}

.stream-item {
    border-top: 1px solid #ccc;
    padding: 5px 0px;
}

.stream-item .column {
    display: inline-block;
    vertical-align: middle;
}

.stream-item .stream-thumb {
    margin-right: 10px;
    height: 40px;
}

.stream-item .stream-thumb img {
    width: 52px;
}

.stream-item .stream-info {
    width: 200px;
}

.stream-item .stream-info .stream-title {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.stream-item .stream-source {
    width: 200px;
}

.stream-item .stream-source .source-name {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.stream-item .stream-source .package-icon {
    background-color: #e9c63c;
    color: #fff;
    border-radius: 3px;
    display: inline-block;
    padding: 0px 3px;
    margin-right: 3px;
}

    .stream-item .stream-source .sd .package-icon {
        background-color: #db9738;
    }

    .stream-item .stream-source .hdr .package-icon {
        background-color: #a7a7a7;
    }

.stream-item .stream-source .package-name {
    color: #e9c63c;
    display: inline-block;
}

.stream-item .stream-created-date {
    color: #999;
    width: 150px;
}

.stream-item .stream-actions {
    
}

.streaming-play-container .inner-content {
    width: 700px;
    height: 394px;
}

.streaming-play-container .inner-content iframe {
    width: 100%;
    height: 100%;
}

.stream-stats-container .stats-summary {
    font-size: 1.2em;
    width: 100px;
    display: inline-block;
}

.stream-stats-container .stats-summary .stats-summary-total {
    text-align: center;
}

.stream-stats-container .stats-summary .stats-summary-total .stats-summary-total-title {
    
}

.stream-stats-container .stats-summary .stats-summary-total .stats-summary-total-value {
    font-size: 1.5em;
}

.stream-stats-container .stats-summary .stats-summary-active {
    color: #109618;
    margin-top: 10px;
}

.stream-stats-container .stats-summary .stats-summary-active .stats-summary-active-icon {
    border: 2px solid #109618;
    -webkit-border-radius: 12px;
    height: 6px;
    width: 6px;
    -webkit-animation: pulsate 2s ease-out;
    -webkit-animation-iteration-count: infinite; 
    opacity: 0.0;
    display: inline-block;
}

.stream-stats-container .stats-summary .stats-summary-active .stats-summary-active-value {
    display: inline-block;
    margin-left: 5px;
}

.stream-stats-container .stats-graph {
    width: 500px;
    display: inline-block;
    vertical-align: top;
    text-align: center;
}

.stream-stats-container .stats-sessions {
    margin-top: 10px;
    border-top: 1px solid #ccc;
    max-height: 150px;
    overflow: auto;
}

.stream-stats-container .stats-sessions .stats-session-placeholder {
    padding: 10px;
    text-align: center;
    font-style: italic;
}

.stream-stats-container .stats-sessions .stats-session {
    border-bottom: 1px solid #efefef;
}

.stream-stats-container .stats-sessions .stats-session .column {
    display: inline-block;
    width: 120px;
    padding: 10px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.stream-stats-container .stats-sessions .stats-session .column.stats-session-ip {
    width: 100px;
}

.stream-stats-container .stats-sessions .stats-session .column.stats-session-watched {
    width: 60px;
}

.stream-stats-container .stats-sessions .stats-session .column.stats-session-agent {
    width: 240px;
}

@-webkit-keyframes pulsate {
    0% {-webkit-transform: scale(0.1, 0.1); opacity: 0.0;}
    50% {opacity: 1.0;}
    100% {-webkit-transform: scale(1.2, 1.2); opacity: 0.0;}
}